Skip to main content

🚀 Quickstart

Connect to Dropbox with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Dropbox.
2

Authorize Dropbox

Go to Connections -> Add Test Connection -> Authorize, then log in to Dropbox. Later, you’ll let your users do the same directly from your app.
3

Call the Dropbox API

Let’s make your first request to the Dropbox API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/2/files/list_folder" \
  -X POST \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>" \
  -H "Content-Type: application/json" \
  -d '{"path": ""}'
Or fetch credentials with the Node SDK or API.✅ You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

📚 Dropbox Integration Guides

Nango maintained guides for common use cases. Official docs: Dropbox API documentation

🧩 Pre-built syncs & actions for Dropbox

Enable them in your dashboard. Extend and customize to fit your needs.

Folders

Function nameDescriptionTypeSource code
folder-contentFetches the top-level content (files and folders) of a Dropbox folder given its path. If no path is provided, it fetches content from the root folder.Action🔗 Github

Users

Function nameDescriptionTypeSource code
create-userCreates a user in Dropbox. Requires Dropbox Business.Action🔗 Github
delete-userDeletes a user in Dropbox. Requires Dropbox Business.Action🔗 Github
usersFetches a list of users from Dropbox. Requires Dropbox Business.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
filesSync the metadata of a specified files or folders paths from Dropbox. A file or folder id or path can be used.Sync🔗 Github